### Constructor

# Clutter BinLayout new

#### Declaration [src]

    ClutterLayoutManager*
    clutter_bin_layout_new (
      ClutterBinAlignment x_align,
      ClutterBinAlignment y_align
    )

#### Description [src]

Creates a new `ClutterBinLayout` layout manager.

#### Parameters

`x_align`

  Type: `ClutterBinAlignment`

  The default alignment policy to be used on the horizontal axis.

`y_align`

  Type: `ClutterBinAlignment`

  The default alignment policy to be used on the vertical axis.

#### Return value

Type: `ClutterLayoutManager`

The newly created layout manager.

The data is owned by the called function.